apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'

android {

    signingConfigs {
    }

    compileSdkVersion 30
    buildToolsVersion "30.0.2"

    defaultConfig {
        applicationId "org.mosad.seil0.projectlaogai"
        minSdkVersion 23
        targetSdkVersion 30
        versionCode 6091 // 00.06.091
        versionName "0.6.1-beta2"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        resValue "string", "build_time", buildTime()
        setProperty("archivesBaseName", "projectlaogai-$versionName")
    }

    buildFeatures {
        viewBinding true
    }

    buildTypes {
        release {
            minifyEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_1_8
    }

    sourceSets {
        main {
            res.srcDirs =
                    [
                            'src/main/res/layouts/activities',
                            'src/main/res/layouts/dialogs',
                            'src/main/res/layouts/fragments',
                            'src/main/res/layouts',
                            'src/main/res'
                    ]
        }
    }

    testOptions.unitTests.all {
        useJUnitPlatform()

        testLogging {
            events 'passed', 'skipped', 'failed', 'standardOut', 'standardError'
        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$kotlin_version"
    implementation 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.4.2'
    implementation 'androidx.core:core-ktx:1.3.2'
    implementation 'androidx.navigation:navigation-fragment-ktx:2.3.1'
    implementation 'androidx.navigation:navigation-ui-ktx:2.3.1'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.swiperefreshlayout:swiperefreshlayout:1.1.0'
    implementation 'androidx.security:security-crypto:1.1.0-alpha02'
    implementation "androidx.work:work-runtime-ktx:2.4.0"
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.afollestad:aesthetic:1.0.0-beta05'
    implementation 'com.afollestad.material-dialogs:core:3.3.0'
    implementation 'com.afollestad.material-dialogs:color:3.3.0'
    implementation 'com.afollestad.material-dialogs:bottomsheets:3.3.0'
    implementation 'de.psdev.licensesdialog:licensesdialog:2.1.0'

    implementation 'org.apache.commons:commons-lang3:3.11'
    implementation 'org.jsoup:jsoup:1.13.1'

    testImplementation 'org.junit.jupiter:junit-jupiter:5.6.2'
    androidTestImplementation 'androidx.test:core:1.3.0'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
}

static def buildTime() {
    return new Date().format("yyyy-MM-dd", TimeZone.getTimeZone("UTC"))
}